Loading...
Searching...
No Matches
oval_value.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <stdbool.h>`
`#include "oval_definitions_impl.h"`
`#include "adt/oval_collection_impl.h"`
`#include "common/util.h"`
`#include "common/debug_priv.h"`
`#include "common/elements.h"`
Include dependency graph for oval_value.c:

## Data Structures

struct | oval_value
| OVAL object or item entity value. More...

## Typedefs

typedef struct oval_value | oval_value_t

## Functions

bool | oval_value_iterator_has_more (struct oval_value_iterator *oc_value)
struct oval_value * | oval_value_iterator_next (struct oval_value_iterator *oc_value)
void | oval_value_iterator_free (struct oval_value_iterator *oc_value)
int | oval_value_iterator_remaining (struct oval_value_iterator *iterator)
oval_datatype_t | oval_value_get_datatype (struct oval_value *value)
char * | oval_value_get_text (struct oval_value *value)
unsigned char * | oval_value_get_binary (struct oval_value *value)
bool | oval_value_get_boolean (struct oval_value *value)
float | oval_value_get_float (struct oval_value *value)
long long | oval_value_get_integer (struct oval_value *value)
struct oval_value * | oval_value_new (oval_datatype_t datatype, char *text_value)
struct oval_value * | oval_value_clone (struct oval_value *old_value)
void | oval_value_free (struct oval_value *value)
int | oval_value_cast (struct oval_value *value, oval_datatype_t new_dt)
void | oval_value_set_datatype (struct oval_value *value, oval_datatype_t datatype)
int | oval_value_parse_tag (xmlTextReaderPtr reader, struct oval_parser_context *context, oval_value_consumer consumer, void *user)
xmlNode * | oval_value_to_dom (struct oval_value *value, xmlDoc *doc, xmlNode *parent)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/